#![allow(non_camel_case_types)]
#![allow(non_upper_case_globals)]
#[derive(Debug, Clone, Copy, PartialEq, Eq, Hash)]
#[repr(i32)]
pub enum ERemoteClientService {
    None = 0,
    RemoteControl = 1,
    GameStreaming = 2,
    SiteLicense = 4,
    ContentCache = 8,
    ContentServer = 16,
}

impl ERemoteClientService {
    pub fn from_i32(val: i32) -> Option<Self> {
        match val {
            x if x == Self::None as i32 => Some(Self::None),
            x if x == Self::RemoteControl as i32 => Some(Self::RemoteControl),
            x if x == Self::GameStreaming as i32 => Some(Self::GameStreaming),
            x if x == Self::SiteLicense as i32 => Some(Self::SiteLicense),
            x if x == Self::ContentCache as i32 => Some(Self::ContentCache),
            x if x == Self::ContentServer as i32 => Some(Self::ContentServer),
            _ => None,
        }
    }
}
